שגיאת SetupVersionInformationCorruptException בעת פתיחת מעטפת ניהול Exchange

מספר KB מקורי:   4056663

מאפייני הבעיה

בעת פתיחת EMS, אתה מקבל את הודעת השגיאה הבאה:

[SetupVersionInformationCorruptException] לא ניתן לקבוע את גירסת הקובץ המותקנת ממפתח הרישום

סיבה

בעיה זו עלולה להתרחש לאחר הסרת ההתקנה של PowerShell 2.0. בעת הסרת ההתקנה של PowerShell 2.0, תהליך הסרת ההתקנה גם מסיר את מפתח הרישום הבא שבו משתמש EMS כדי לקבוע אם PowerShell מותקן:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\PowerShell\1\PowerShellEngine

פתרון 1-ייבוא מפתח הרישום

  1. הורד את מפתח הרישום של PowerShellEngine.
  2. יבא את מפתח הרישום לשרת.

פתרון 2-התקנה מחדש של PowerShell 2.0

כדי להתקין את PowerShell 2.0, ראה התקנת מנגנון 2.0 של Windows PowerShell.

Status

Microsoft פועלת לפתרון בעיה זו ותפרסם מידע נוסף במאמר זה כאשר המידע הופך לזמין.